FROM alpine:3.11

RUN apk add --no-cache python3 py3-pip py3-requests tini asterisk

COPY requirements.txt /app/

RUN pip3 install -r /app/requirements.txt

COPY server.py /app/server.py

WORKDIR /app

ENTRYPOINT ["/sbin/tini", "--"]

VOLUME /var/run/asterisk

CMD ["python3", "server.py"]

